Package org.eclipse.ecf.remoteservice.servlet

## Interface IRemoteCallParameterDeserializer

All Known Implementing Classes:
  `ObjectSerializationParameterDeserializer`

    public interface IRemoteCallParameterDeserializer

Remote call parameter deserializer.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object[]` `deserializeParameters​(javax.servlet.http.HttpServletRequest req)` Deserialize parameters from HttpServletRequest.

### Method Detail

#### deserializeParameters

    Object[] deserializeParameters​(javax.servlet.http.HttpServletRequest req)
                            throws IOException,
                                   javax.servlet.ServletException

Deserialize parameters from HttpServletRequest.

Parameters:
  `req` - the HttpServletRequest. Will not be `null`.
Returns:
  Object[] the deserialized parameters.
Throws:
  `IOException` - if parameters cannot be deserialized
  `javax.servlet.ServletException` - if parameters cannot be deserialized